Bug 989616 - logconv.pl man page missing -m,-M,-B,-D
logconv.pl man page missing -m,-M,-B,-D
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Rich Megginson
Sankar Ramalingam
:
Depends On:
Blocks: 1109384
  Show dependency treegraph
 
Reported: 2013-07-29 12:29 EDT by Nathan Kinder
Modified: 2014-06-17 22:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: 389-ds-base-1.3.1.5-1.el7
Doc Type: Bug Fix
Doc Text:
Cause: "man" page was missing some argument definitions Consequence: The full range of options does appear to be available in the "man" page. Fix: Update man page Result: "man" page shows the correct/full range of options.
Story Points: ---
Clone Of:
: 1109384 (view as bug list)
Environment:
Last Closed: 2014-06-13 08:21:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan Kinder 2013-07-29 12:29:11 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47447

logconv.pl man page needs to document -m,-M,-B,-D options

For -D, we should specify the "trick" of using RAM by doing 
mkdir /dev/shm/logconv
then
logconv.pl -D /dev/shm/logconv access*
to use a RAM disk to avoid disk I/O if there is enough RAM
Comment 1 Rich Megginson 2013-10-01 19:26:16 EDT
moving all ON_QA bugs to MODIFIED in order to add them to the errata (can't add bugs in the ON_QA state to an errata).  When the errata is created, the bugs should be automatically moved back to ON_QA.
Comment 3 Sankar Ramalingam 2014-01-30 02:49:10 EST
         ./logconv.pl -S "[28/Mar/2002:13:14:22 -0800]" --endTime "[28/Mar/2002:13:50:05 -0800]" -e /logs/access*

         ./logconv.pl -m log-minute-stats-csv.out /logs/access*

         ./logconv.pl -B ANONYMOUS /logs/access*

         ./logconv.pl -B "uid=mreynolds,dc=example,dc=com" /logs/access*

-D, --data         <Location for temporary data files>  default is "/tmp"

Logconv.pl man pages updated with these new options, -m, -M, -B and -D.

Hence, marking the bug as verified.

Build tested - 389-ds-base-1.3.1.6-15
Comment 4 Ludek Smid 2014-06-13 08:21:58 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.